This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 725243

Summary: Review Request: gespeaker - A GTK+ frontend for eSpeak and mbrola
Product: [Fedora] Fedora Reporter: Raphael Groner <projects.rg>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED DEFERRED QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: rawhideCC: martin.gieseking, notting, package-review
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-11-26 13:28:29 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Raphael Groner 2011-07-24 11:29:59 EDT
Homepage: https://code.google.com/p/gespeaker/
Spec URL: https://raw.github.com/k0Do/fedora-package/2184771482c0b4e4f7e11ab1eb1a5b6002e92e2c/gespeaker/gespeaker.spec
SRPM URL: https://github.com/k0Do/fedora-package/raw/2184771482c0b4e4f7e11ab1eb1a5b6002e92e2c/gespeaker/gespeaker-0.8.1-1.fc14.src.rpm
Description:
Gespeaker is a GTK+ frontend for espeak. It allows to play a text in many
languages with settings for voice, pitch, volume, speed and word gap. The
text played can also be recorded to WAV file.
Since version 0.6 it supports mbrola voices, it will require mbrola package
and one or more mbrola voices from Debian repository or Ubuntu Trucchi
repository.

Multiple languages are supported, currently English, Italian, French and
Spanish. It works well with both Gnome, XFCE, LXDE environments.


I don't have a sponsor. Someone please? :)


$ rpmlint gespeaker.spec ../RPMS/*/gespeaker-* ../SRPMS/gespeaker-0.8.1-1.fc14.src.rpm 
gespeaker.spec: W: invalid-url Source0: http://gespeaker.googlecode.com/files/gespeaker_0.8.1_all.tar.gz HTTP Error 404: Not Found
gespeaker.x86_64: W: spelling-error Summary(en_US) frontend -> fronted, front end, front-end
gespeaker.x86_64: W: spelling-error Summary(en_US) eSpeak -> e Speak, speak, bespeak
gespeaker.x86_64: W: spelling-error Summary(en_US) mbrola -> Motorola, embroil, ambrosia
gespeaker.x86_64: W: spelling-error %description -l en_US frontend -> fronted, front end, front-end
gespeaker.x86_64: W: spelling-error %description -l en_US mbrola -> Motorola, embroil, ambrosia
gespeaker.x86_64: E: no-binary
gespeaker.x86_64: W: file-not-in-%lang /usr/share/locale/bg/LC_MESSAGES/gespeaker.mo
gespeaker.x86_64: W: file-not-in-%lang /usr/share/locale/en_US/LC_MESSAGES/gespeaker.mo
gespeaker.x86_64: W: file-not-in-%lang /usr/share/locale/es/LC_MESSAGES/gespeaker.mo
gespeaker.x86_64: W: file-not-in-%lang /usr/share/locale/fr/LC_MESSAGES/gespeaker.mo
gespeaker.x86_64: W: file-not-in-%lang /usr/share/locale/it/LC_MESSAGES/gespeaker.mo
gespeaker.x86_64: W: file-not-in-%lang /usr/share/locale/pl/LC_MESSAGES/gespeaker.mo
gespeaker-debuginfo.x86_64: E: empty-debuginfo-package
gespeaker.src: W: spelling-error Summary(en_US) frontend -> fronted, front end, front-end
gespeaker.src: W: spelling-error Summary(en_US) eSpeak -> e Speak, speak, bespeak
gespeaker.src: W: spelling-error Summary(en_US) mbrola -> Motorola, embroil, ambrosia
gespeaker.src: W: spelling-error %description -l en_US frontend -> fronted, front end, front-end
gespeaker.src: W: spelling-error %description -l en_US espeak -> speak, bespeak, e speak
gespeaker.src: W: spelling-error %description -l en_US mbrola -> Motorola, embroil, ambrosia
gespeaker.src: W: invalid-url Source0: http://gespeaker.googlecode.com/files/gespeaker_0.8.1_all.tar.gz HTTP Error 404: Not Found
3 packages and 1 specfiles checked; 2 errors, 19 warnings.

Mock build (done locally):
https://github.com/k0Do/fedora-package/raw/2184771482c0b4e4f7e11ab1eb1a5b6002e92e2c/gespeaker/gespeaker-0.8.1-1.fc14.x86_64.rpm
https://github.com/k0Do/fedora-package/blob/2184771482c0b4e4f7e11ab1eb1a5b6002e92e2c/gespeaker/gespeaker-debuginfo-0.8.1-1.fc14.x86_64.rpm

Scratch builds:
dist-f14: http://koji.fedoraproject.org/koji/taskinfo?taskID=3226094
dist-f15: http://koji.fedoraproject.org/koji/taskinfo?taskID=3226101
dist-f16: http://koji.fedoraproject.org/koji/taskinfo?taskID=3226104
Comment 1 Martin Gieseking 2011-08-02 12:42:52 EDT
Hi Raphael,

here are some quick comments on your package:

- the license of the program is GPLv2+ because of the addition
  "or (at your option) any later version" in the copyright notice.

- replace BR: python > 2.4 with BR: python2-devel

- The package doesn't seem to provide arch-dependent files. Thus add
  BuildArch: noarch

- the .desktop file must be verified with desktop-file-validate
  http://fedoraproject.org/wiki/Packaging:Guidelines#Desktop_files

- patch the .desktop file to not use absolute paths (Exec and Icon)

- see here how to install the locale files properly:
  http://fedoraproject.org/wiki/Packaging:Guidelines#Handling_Locale_Files

- Drop the asterisk from %{_datadir}/%{name}/* for proper directory ownership.

- replace %{_mandir}/man1/%{name}.1.gz with %{_mandir}/man1/%{name}.1*

- drop the empty %doc line in %files

- the documentation should be installed into   
  %{_defaultdocdir}/%{name}-%{version}. The easiest way to do that is to 
  remove the installed docs from the buildroot and add it with %doc:
  * add rm -rf %{buildroot}%{_datadir}/doc/ to %install
  * add %doc doc/ to %files
  * remove %{_defaultdocdir}/%{name}/* from %files
  This also adds the missing file "copyright"

Have a look at the packaging guidelines for further information:
http://fedoraproject.org/wiki/Packaging:Python
http://fedoraproject.org/wiki/PackagingGuidelines
Comment 2 Martin Gieseking 2011-08-02 12:46:19 EDT
(In reply to comment #1)
>   * add %doc doc/ to %files

Oops, I meant %doc doc/* here.
Comment 3 Raphael Groner 2011-11-26 13:28:29 EST
I doubt that I can maintain the package. Someone interested to take it?